1. 钱包
DeepSafe开发者文档
  • Getting Started
    • 快速开始
    • 创建Api Key
    • 其他说明
    • http请求约定
      • 请求头
      • 请求方法
      • 返回值与错误码
      • Body加密与签名
      • Webhook事件解密与校验
    • Webhook
      • Webhook说明
      • Webhook事件解密与校验
  • Api文档
    • README
    • 钱包
      • 获取钱包列表
        POST
      • 获取单个钱包
        POST
    • 白名单
      • 获取白名单列表
      • 获取可用的白名单列表
      • 查询白名单转账限制开关状态
    • Schemas
      • wallet
        • list_wallet_resp
        • wallet_base_info
        • get_wallet_resp
        • pending_tx_count
        • wallet_coin_balance
        • wallet_coin_balance_with_price
        • list_wallet_item
      • config
        • coin_info
        • chain_info
        • coin_with_chain
        • whitelist_chain_config
      • sub_wallet
        • sub_wallet_base_info
        • sub_wallet_balance_item
      • whitelist
        • list_whitelist_resp
        • whitelist_with_chain
        • whitelist_tag_info
        • whitelist
        • whitelist_group_info
        • whitelist_transfer_restriction
        • restriction_status_res
      • audit
        • change_whitelist_info
      • base response
      • pageData
  • Webhook文档
    • README
    • 白名单
      • 创建白名单
      • 删除白名单
      • 修改白名单
    • Schemas
      • 白名单
      • base response
      • base event
  • 签名机
    • REAME
    • 对接说明
  1. 钱包

获取单个钱包

Developing
POST
/api/wallet/get

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/wallet/get' \
--header 'timestamp-milli: 1783926654123' \
--header 'request-id: 99352544-bb54-44f9-9310-c5c2d7498e17' \
--header 'team-id: your_team_id' \
--header 'api-id: your_api_id' \
--header 'currency-id: usd' \
--header 'Content-Type: application/json' \
--data '{
    "wallet_id": "string"
}'
Response Response Example
{
    "code": 0,
    "data": {
        "wallet_id": "string",
        "name": "string",
        "type": "string",
        "is_show": true,
        "change_24h": "string",
        "change_24h_currency_amount": "string",
        "currency_amount": "string",
        "pending_tx_counts": [
            {
                "coin_id": "string",
                "count": 0
            }
        ],
        "coins_balance": [
            {
                "coin_origin": "string",
                "coin_amount": "string",
                "currency_amount": "string",
                "sub_wallet_balances": [
                    {
                        "sub_wallet_id": "string",
                        "address": "string",
                        "chain": "btc1",
                        "remark": "string",
                        "coin_origin": "string",
                        "coin_amount": "string",
                        "currency_amount": "string"
                    }
                ],
                "coin_info": {
                    "coin_id": "string",
                    "coin_uid": "string",
                    "chain_id": "string",
                    "symbol": "string",
                    "name": "string",
                    "decimal": 0,
                    "is_main": true,
                    "contract": "string"
                },
                "chain_info": {
                    "chain_id": "string",
                    "name": "string",
                    "symbol": "string",
                    "is_testnet": true,
                    "evm_id": 0
                }
            }
        ]
    },
    "msg": "string"
}
Modified at 2026-07-14 08:13:56
Previous
获取钱包列表
Next
获取白名单列表
Built with